
Figure - Bug #118480
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【IOVDEV-32475】【内部】【VC1】【0106】【台架】【EE环境】【副屏】早上过来monkey自动命令停止，
副屏处于引导界面，可以正常跳过激活进入主界面
2023-06-03 10:58 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-03

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0086.c102����【副屏版本号】：01.00.0106.c104

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 与 #118345 和 #118272 一样

Description

【环境信息】EE环境

【问题出现时间】：20230603 10：01

【前提条件】：副屏上电；中控、功放已连接；副屏、中控时间一致

【操作步骤】

1.副屏跑monkey命令

【实际结果】

1.早上过来monkey自动命令停止，副屏处于引导界面，可以正常跳过激活进入主界面

【期望结果】

1.monkey命令正常跑

【备注】：

第220次开机

开机时长：16：23

日志、视频地址：https://ofs.human-horizons.com/#/download/index/q9aGLlsOI38%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0086.c102

【副屏版本号】：01.00.0106.c104

History

#1 - 2023-06-03 10:59 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118480

#2 - 2023-06-05 10:07 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE
- Degrated changed from -- to No

- Root cause set to 与 #118345 和 #118272 一样

■ 我的分析

此票与 #118345 属于同件问题

surfaceflinger挂了

-----------------------

06-03 05:31:26.552 27637 27637 F DEBUG   : * 

06-03 05:31:26.552 27637 27637 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3775:user/test-keys'

06-03 05:31:26.552 27637 27637 F DEBUG   : Revision: '0'

06-03 05:31:26.552 27637 27637 F DEBUG   : ABI: 'arm64'

06-03 05:31:26.552 27637 27637 F DEBUG   : Timestamp: 2023-06-03 05:31:26.453226799+0800

06-03 05:31:26.552 27637 27637 F DEBUG   : Process uptime: 0s

06-03 05:31:26.552 27637 27637 F DEBUG   : Cmdline: /system/bin/surfaceflinger

06-03 05:31:26.552 27637 27637 F DEBUG   : pid: 1006, tid: 1619, name: Binder:1006_3  >>> /system/bin/surfaceflinger <<<

06-03 05:31:26.552 27637 27637 F DEBUG   : uid: 1000

06-03 05:31:26.552 27637 27637 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0xffffffffffffffe8

06-03 05:31:26.552 27637 27637 F DEBUG   :     x0  b40000757d64e9e8  x1  b40000741d6a4298  x2  b40000744d7d7920  x3  0000000000000001

06-03 05:31:26.552 27637 27637 F DEBUG   :     x4  0000000000000018  x5  b40000741d6eaac0  x6  b40000745d6c90f8  x7  b40000745d6c90f8

06-03 05:31:26.552 27637 27637 F DEBUG   :     x8  b40000756d7f9000  x9  0000000000000000  x10 0000000000000004  x11 0000000000000020

06-03 05:31:26.552 27637 27637 F DEBUG   :     x12 0000000000000011  x13 000000006acfa8c8  x14 0019c9ac3a046800  x15 0000000034155555

06-03 05:31:26.552 27637 27637 F DEBUG   :     x16 00000065364a20c8  x17 00000076f1db7648  x18 00000073c2d72000  x19 0000000000000000

06-03 05:31:26.552 27637 27637 F DEBUG   :     x20 b40000744d7d7920  x21 b40000741d6a4298  x22 b40000744d7d7900  x23 00000076f1db4484

06-03 05:31:26.552 27637 27637 F DEBUG   :     x24 b40000744d7d7900  x25 00000073c65a9000  x26 00000073c65a8ff8  x27 00000000000fc000

06-03 05:31:26.552 27637 27637 F DEBUG   :     x28 00000073c64b0000  x29 00000073c65a8990

06-03 05:31:26.552 27637 27637 F DEBUG   :     lr  00000076f1db772c  sp  00000073c65a8990  pc  00000065360119c0  pst 0000000060001000

06-03 05:31:26.552 27637 27637 F DEBUG   : backtrace:

06-03 05:31:26.552 27637 27637 F DEBUG   :       #00 pc 000000000015b9c0  /system/bin/surfaceflinger (android::SortedVector<android::sp<android::Layer>

>::do_splat(void, void const*, unsigned long) const+72) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-03 05:31:26.552 27637 27637 F DEBUG   :       #01 pc 0000000000016728  /system/lib64/libutils.so (android::SortedVectorImpl::add(void const*)+224) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-03 05:31:26.552 27637 27637 F DEBUG   :       #02 pc 00000000001a4d08  /system/bin/surfaceflinger (android::SurfaceFlinger::onHandleDestroyed(android::BBinder*,

android::sp<android::Layer>&)+124) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-03 05:31:26.552 27637 27637 F DEBUG   :       #03 pc 000000000015b7b0  /system/bin/surfaceflinger (android::Layer::LayerCleaner::~LayerCleaner()+72) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-03 05:31:26.552 27637 27637 F DEBUG   :       #04 pc 000000000015b738  /system/bin/surfaceflinger (virtual thunk to android::Layer::Handle::~Handle()+76) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-03 05:31:26.552 27637 27637 F DEBUG   :       #05 pc 000000000000ef34  /system/lib64/libutils.so (android::RefBase::decStrong(void const*) const+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-03 05:31:26.552 27637 27637 F DEBUG   :       #06 pc 0000000000053b84  /system/lib64/libbinder.so (android::IPCThreadState::processPendingDerefs()+136) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

06-03 05:31:26.552 27637 27637 F DEBUG   :       #07 pc 0000000000053c90  /system/lib64/libbinder.so (android::IPCThreadState::joinThreadPool(bool)+64) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

06-03 05:31:26.552 27637 27637 F DEBUG   :       #08 pc 0000000000080484  /system/lib64/libbinder.so (android::PoolThread::threadLoop()+28) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

06-03 05:31:26.552 27637 27637 F DEBUG   :       #09 pc 000000000001358c  /system/lib64/libutils.so (android::Thread::_threadLoop(void*)+264) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-03 05:31:26.552 27637 27637 F DEBUG   :       #10 pc 0000000000012de8  /system/lib64/libutils.so (thread_data_t::trampoline(thread_data_t const*)+408) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-03 05:31:26.552 27637 27637 F DEBUG   :       #11 pc 00000000000b6a24  /apex/com.android.runtime/lib64/bionic/libc.so (_pthread_start(void*)+264) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

06-03 05:31:26.552 27637 27637 F DEBUG   :       #12 pc 00000000000532bc  /apex/com.android.runtime/lib64/bionic/libc.so (_start_thread+68) (BuildId:
369edc656806aeaf384cbeb8f7a347af)

-----------------------

进入引导画面是正常的现象，与 #118272 问题一样

副屏没有通过中控进行激活，而是通过工厂模式跳过激活，所以重启后再次进入了激活引导界面，属于正常现象。

-----------------------

06-03 05:31:31.126 27768 27768 D PackageManager: checkActivateState: enable com.android.provision.DefaultActivity.

06-03 05:31:34.805 27768 28103 I ActivityTaskManager: START u0 {cmp=com.thundercomm.tcsetupwizard/.TcSetupStartActivity} from uid 1000

-----------------------

#3 - 2023-06-05 11:40 - CDTS_Test 吴诗雨

- Parent task set to #113422

#4 - 2023-06-10 14:37 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#5 - 2023-06-10 14:37 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
